function g=mugroup(answer)
% G=MUGROUP(ANSWER)
%
% answer is a string of the format e.g.  '1 3:7 12' 
% g is an integer array of detector numbers
% e.g. [1 3 4 5 6 7 12] 
% future implementation for more than one grouping
% 
    
g=[];
if ~isempty(answer)
    n=strfind(answer,':');
    if isempty(n)
        g=str2num(answer);
    else
        kin=1;
        kend=1;
        b=strfind(answer,' '); % blanks
        m=length(b); % number of blanks
        l=length(n); % number of colons
        if ~isempty(b)
            kend=b(max(find(b<n(1))))-1; % 
            if kend
                g=str2num(answer(kin:kend));
            else
                kend=b(min(find(b>n(1))))-1;%
                eval(['g=' answer(kin:kend) ';']);
            end
        else
            eval(['g=' answer ';']);
        end
        for ll=1:l % scan 'x:y' formats
            
            kin=b(max(find(b+1<n(ll))))+1; % position of x in
                                           % answer 
            if kend<kin-2
                g=[g str2num(answer(kend+1:kin-1))];
            end
            kend=b(min(find(b-1>n(ll))))-1; % position of y in answer
            if isempty(kend)
                kend=length(answer);
            end
            kkin=str2num(answer(kin:n(ll)-1)); % x
            kkend=str2num(answer(n(ll)+1:kend)); %y
            g=[g kkin:kkend];
        end
        
        if kend<length(answer)
            kin=min(find(b>n(l)));
            g=[g str2num(answer(b(kin)+1:end))];
        end        
    end
end